The 2.5 readme (which has errors) says that Samba must be installed before installing NSS. Can anyone verify that?

The instructions at the end of the Samba install for "Create a Samba User" are confusing at best. The "User Administration" page does not have any check boxes. Following the instructions from Installation and Administration results in some errors as well. So if I don't need Samba, why install it?